import { useState } from "react";
import "../stylesheets/DropDownFilter.css";
import "../pages/Wunschliste.tsx";

function DropDownFilter(props: PropsDropDownFilter) {
  const options = props.options;
  const topic = props.topic;
  const [selectedOption, setSelectedOption] = useState("");

  const handleOptionChange = (event: any) => {
    setSelectedOption(event.target.value);
    props.filterOnChange(event.target.value);
  };

  return (
    <div className="dropdown-filter">
      <label>{topic}</label>
      <select value={selectedOption} onChange={handleOptionChange}>
        <option value=""></option>
        {options.map((option, index) => (
          <option key={index} value={option}>
            {option}
          </option>
        ))}
      </select>
    </div>
  );
}

type PropsDropDownFilter = {
    options: Array<string>;
    topic: string;
    filterOnChange: (selectedOption: string) => void;
};

export default DropDownFilter;